## comedilib 0.10.0

=== debian/changelog ===
comedilib (0.10.0-3) unstable; urgency=low

  * Change pdf backend from fop to no. Fixes compilation on mips.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 05 Jul 2012 21:39:54 +0200

comedilib (0.10.0-2) unstable; urgency=low

  * Add dependency on adduser (Closes: #677573)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 25 Jun 2012 18:03:10 +0200

comedilib (0.10.0-1) unstable; urgency=low

  [ Bernd Porr ]
  * Removed ruby from the build dependencies
  * Disabled install of firmware (via ./configure)

  [ Gudjon I. Gudjonsson ]
  * Upstream release (Closes: #669353)
  * Dropping ruby bindings support.
    Commented out all references to ruby (Closes: #676095)
  * Rename comedi.rules to 90-comedi.rules
  * Move 90-comedi.rules to /lib/udev/rules.d/
  * Add comedi_calibrate (Closes: #544906)
  * Add LDFLAGS= -lm to configure (Closes: #558848)
  * Change bash to sh in postinst script
  * Fix a few errors in manpages. Add patch
    02_fix_manpages.patch (Thanks to Yaroslav Halchenko)
  * Add upstream changelog
  * Update symbols file
  * Update copyright file to DEP5

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 12 Jun 2012 22:09:08 +0200

comedilib (0.8.1-6) unstable; urgency=low

  * Bump standards version to 3.9.3
  * Change to dh_python2
  * Change XS-Python-Version to X-Python-Version
  * Add doc-base file
  * Add watch file
  * Add symbols file
  * Add get-orig-source target
  * Change dependency on udev to recommends (Closes: #570069)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 07 Apr 2012 12:22:16 +0200

comedilib (0.8.1-5.1) unstable; urgency=low

  * Non-maintainer upload.
  * Don't ship .la files (Closes: #621195).

 -- Luk Claes <luk@debian.org>  Tue, 28 Jun 2011 07:39:19 +0200

comedilib (0.8.1-5) unstable; urgency=low

  * Fixed the replaces tags in control file. (Closes: #476562)
  * Changed the makefile for the demos.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Fri, 09 May 2008 13:28:19 +0200

comedilib (0.8.1-4) unstable; urgency=low

  * Put the demo into wrong directory last time, fixed.
  * Added dependency on adduser and udev. (Closes: #470437)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 11 Mar 2008 12:05:58 +0000

comedilib (0.8.1-3) unstable; urgency=low

  * Added conflicts and replaces tags to control file. (Closes: #465286)
  * Added a group called iocard for access to comedi cards.
  * Added a README.Debian file.
  * Added the demo directory to the libcomedi-dev package.

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 04 Mar 2008 01:35:26 +0000

comedilib (0.8.1-2) unstable; urgency=low

  * A new maintainer
  * Bumped the Debian policy version to 3.7.3
  * Made a Homepage: field in the control file
  * libcomedi0.postinst removed and dependency on makedev (Closes: #434166)
  * Version 0.8.1 (Closes: #443922)
  * Pycentral is used in python-comedilib (Closes: #443922)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 21 Jan 2008 23:30:30 +0100

comedilib (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 29 Nov 2007 01:26:20 +0100

comedilib (0.7.22-2.2) unstable; urgency=low

  * Non-maintainer upload.
  * Update package to new python policy (Closes: #373305).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 30 Jun 2006 01:06:30 +0200

comedilib (0.7.22-2.1) unstable; urgency=low

  * Non-maintainer upload.
  * Packaging changes :
    + Switch to debhelper compatibility level 5.
    + Bump Standards Version to 3.6.2.
    + switch to dh_install instead of dh_movefiles (--list-missing ...)
  * Add swig to build-depends.
  * Rename libcomedi0 into libcomedi-0.7.22 (Closes: #350550).
    + update libcomedi-dev links.
    + update documentation path.
  * Fix lintian warnings/errors:
    + fix man page comedi_calibrate(8).
    + Fix FSF Addresses.

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 14 Apr 2006 18:54:50 +0200

comedilib (0.7.22-2) unstable; urgency=low

  * It helps if the shared library is actually in the package.

 -- David Schleef <ds@schleef.org>  Thu, 04 Nov 2004 11:43:51 -0800

comedilib (0.7.22-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Mon, 25 Oct 2004 22:48:43 -0700

comedilib (0.7.21-3) unstable; urgency=low

  * Added dh_python to take care of python dependency (Closes: #207310)

 -- David Schleef <ds@schleef.org>  Tue, 23 Sep 2003 18:11:12 -0700

comedilib (0.7.21-2) unstable; urgency=low

  * Fix accidental overlap of files between libcomedi-dev and libcomedi0

 -- David Schleef <ds@schleef.org>  Mon, 18 Aug 2003 19:35:06 -0700

comedilib (0.7.21-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Sat, 16 Aug 2003 16:25:13 -0700

comedilib (0.7.20-2) unstable; urgency=low

  * Apparently debian/copyright got broken at some point in time.
    (probably forgot to merge code back into CVS).  Fixed now,
    but not merged into CVS.  :)
  * Bumped shlibs, since there were symbols added to the lib.
  * Updated to policy 3.5.10:
   - Handle DEB_BUILD_OPTIONS
   - Fix creation of device nodes
  * Long overdue rewrite of package descriptions

 -- David Schleef <ds@schleef.org>  Wed, 25 Jun 2003 10:18:09 -0700

comedilib (0.7.20-1) unstable; urgency=low

  * New upstream release
  * Convert to using autoconf/automake, which takes care of problems
    with gcc-3.x (Closes: #194885)

 -- David Schleef <ds@schleef.org>  Tue, 17 Jun 2003 16:18:25 -0700

comedilib (0.7.19-1) unstable; urgency=low

  * New upstream release

 -- David Schleef <ds@schleef.org>  Wed,  3 Jul 2002 21:04:37 -0700

comedilib (0.7.18) unstable; urgency=low

  * New upstream version
  * Fix spelling error. (Closes: #124919)

 -- David Schleef <ds@schleef.org>  Tue, 22 Jan 2002 02:00:04 -0800

comedilib (0.7.17-1) unstable; urgency=low

  * New upstream version.

 -- David Schleef <ds@schleef.org>  Sat, 17 Nov 2001 18:58:16 -0800

comedilib (0.7.16-1.1) unstable; urgency=low

  * NMU

