## comedilib 0.10.1

=== debian/changelog ===
comedilib (0.10.1-1ubuntu2) trusty; urgency=low

  * Use dh-autoreconf to resolve FTBFS on ppc64el.

 -- Daniel T Chen <crimsun@ubuntu.com>  Wed, 08 Jan 2014 13:12:42 -0500

comedilib (0.10.1-1ubuntu1) trusty; urgency=low

  * FTBFS fixes:
    - Backport upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff,
      and 2277e82;
    - Use explicit parameters.
  * Closes: #733322. LP: #1264686.

 -- Daniel T Chen <crimsun@ubuntu.com>  Tue, 07 Jan 2014 17:22:30 -0500

comedilib (0.10.1-1) unstable; urgency=low

  * New upstream release
  * Bump compat to 9
  * Add hardening
  * Upgraded copyright file

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 18 Aug 2013 10:31:45 +0200

comedilib (0.10.0-3.1) unstable; urgency=low

  * Non-maintainer upload.
  * debian/patches/03_bison.patch: Apply patch from upstream to fix build
    failure with bison 2.6. (Closes: #710622)
  * debian/python-comedilib.install: Don't install static libraries for the
    Python package. They are of no use and cause a lintian autoreject.

 -- Sebastian Ramacher <sramacher@debian.org>  Sun, 11 Aug 2013 01:42:56 +0200
