=== debian/control ===
--- 
+++ 
@@ -1,11 +1,12 @@
 Source: comedilib
 Section: devel
 Priority: optional
-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 8), python-all-dev, autotools-dev,
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all-dev, dh-autoreconf,
  swig, docbook-utils, dblatex, bison, flex, libtool, xmlto, imagemagick, fop,
- libboost-program-options-dev, libgsl0-dev
-Standards-Version: 3.9.3
+ libboost-program-options-dev, libgsl0-dev, hardening-wrapper
+Standards-Version: 3.9.4
 Homepage: http://www.comedi.org
 X-Python-Version: all
