=== debian/rules ===
--- 
+++ 
@@ -2,6 +2,9 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
+export DEB_BUILD_HARDENING=1
+DPKG_EXPORT_BUILDFLAGS = 1
+include /usr/share/dpkg/buildflags.mk
 
 PYTHONS	:= $(shell pyversions -vr)
 #ruby_ver = 1.8
@@ -22,10 +25,12 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
+	#ln -s comedi-calibrate-1 comedi-calibrate
 	cp /usr/share/misc/config.sub .
 	cp /usr/share/misc/config.guess .
 	cp /usr/share/misc/config.sub comedi-calibrate/
 	cp /usr/share/misc/config.guess comedi-calibrate/
+	dh_autoreconf
 	for pyvers in ${PYTHONS}; \
 	do\
 		mkdir -p pybuild/$$pyvers; \
@@ -36,7 +41,7 @@
 			--build=$(DEB_BUILD_GNU_TYPE) \
 			--prefix=/usr);\
 	done
-	LDFLAGS = -lm; ./configure \
+	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
 		--build=$(DEB_BUILD_GNU_TYPE) \
 		--prefix=/usr \
@@ -48,7 +53,8 @@
 		--disable-dependency-tracking \
 		--disable-python-binding \
 		--disable-ruby-binding \
-		--with-pdf-backend=no
+		--with-pdf-backend=no\
+		--with-gnu-ld
 	cd comedi-calibrate && CPPFLAGS="-I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" LDFLAGS="-L $(CURDIR)/lib/.libs" ./configure --disable-comedilib-checking
 	touch $@
 
@@ -100,13 +106,16 @@
 	rm -f comedi-calibrate/config.guess
 	rm -f comedi-calibrate/config.log
 	rm -f doc/pdf/comedilib.pdf
-	cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
+	[ ! -f comedi-calibrate/Makefile ]] || cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
+	find . -name Makefile -exec rm -f {} \;
+	#rm -f comedi-calibrate
+	dh_autoreconf_clean
 	dh_clean
 
 install: build
 	dh_testdir
 	dh_testroot
-	dh_clean -k
+	dh_prep
 	dh_installdirs
 	$(MAKE) install prefix=$(CURDIR)/debian/tmp/usr \
 		pkgdatadir=$(CURDIR)/debian/tmp/usr/share/doc/libcomedi0 \
@@ -163,8 +172,7 @@
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
 	set -e;\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
-	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
-	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
+	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
