=== debian/watch ===
version=3
http://comedi.org/download/comedilib-(.*)\.tar\.gz
