## comedilib 0.10.2

=== debian/changelog ===
comedilib (0.10.2-2ubuntu2) wily; urgency=medium

  * No change rebuild for boost1.58/libstdc++6.

 -- Dimitri John Ledkov <dimitri.j.ledkov@linux.intel.com>  Sun, 02 Aug 2015 13:33:41 +0100

comedilib (0.10.2-2ubuntu1) wily; urgency=medium

  * Fix extension names for python3.5. LP: #1477759.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 25 Jul 2015 11:17:06 +0200

comedilib (0.10.2-2build1) wily; urgency=medium

  * No-change rebuild for python3.5 transition

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 22 Jul 2015 06:24:13 +0000

comedilib (0.10.2-2) unstable; urgency=medium

  * Add dh_autoreconf (Closes: #754195)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Thu, 10 Jul 2014 07:25:17 +0000

comedilib (0.10.2-1) unstable; urgency=medium

  * New upstream version (Closes: #711203)
  * Bump standards version to 3.9.5
  * Update comedi calibrate to version 2 (Closes: #732685)
  * Remove all patches. Already in upstream.
  * Add directories for comedi-calibrate (thanks to Éric Piel)
  * Add dependency on  libboost-dev
  * Add patch 02_configure to disable checking of libcomedi
  * Update hardening to standard
  * Remove dh-autoreconf

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Tue, 01 Jul 2014 11:57:35 +0000

comedilib (0.10.1-1.1) unstable; urgency=low

  * Non-maintainer upload to fix RC bug #733322.
  * Fix build problem with newer bison (Closes: #733322).  Patch from
    Daniel T Chen and Ubuntu via A. Maitland Bottoms backporting
    upstream changesets 90ce9a9, cc0c9e7, f4e228e, c689eff, and
    2277e82.
  * Use dh-autoreconf to fix build problem on some architectures
    (Closes: #727345).  Drop now obsolete autotools-dev build
    dependency.  Patch from Daniel T Chen and Ubuntu via A. Maitland
    Bottoms.
  * Add new executables comedi_soft_calibrate and comedi_board_info to
    the libcomedi1 package (Closes: #711203). Add new directory
    /var/lib/comedi/calibrations to the package, and build using
    --localstatedir=/var to store the state to the correct location.
    Patch from A. Maitland Bottoms.
  * Adjusted 01_calibrate_build.patch to remove check for comedilib.h too,
    to ensure the comedi-calibrate/configure script work without libcomedi0.

 -- Petter Reinholdtsen <pere@debian.org>  Sun, 11 May 2014 20:52:01 +0200
