=== debian/control ===
--- 
+++ 
@@ -3,12 +3,14 @@
 Priority: optional
 Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
 XSBC-Original-Maintainer: Gudjon I. Gudjonsson <gudjon@gudjon.org>
-Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), python-all-dev, dh-autoreconf,
+Build-Depends: debhelper (>= 9), dpkg-dev (>= 1.16.1~), autotools-dev,
  swig, docbook-utils, dblatex, bison, flex, libtool, xmlto, imagemagick, fop,
- libboost-program-options-dev, libgsl0-dev, hardening-wrapper
-Standards-Version: 3.9.4
+ libboost-program-options-dev, libgsl0-dev,
+ python-all-dev, python3-all-dev, libboost-dev, dh-autoreconf
+Standards-Version: 3.9.5
 Homepage: http://www.comedi.org
 X-Python-Version: all
+X-Python3-Version: >=3.0
 
 Package: libcomedi-dev
 Section: libdevel
@@ -56,3 +58,14 @@
  acquisition hardware.  See the libcomedi0 package for more information.
  .
  This package provides Python bindings to the comedi library.
+
+Package: python3-comedilib
+Section: python
+Architecture: any
+Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
+Provides: ${python3:Provides}
+Description: Python3 wrapper for Comedilib
+ Comedilib is a library for using Comedi, a driver interface for data
+ acquisition hardware.  See the libcomedi0 package for more information.
+ .
+ This package provides Python3 bindings to the comedi library.
