=== debian/rules ===
--- 
+++ 
@@ -2,15 +2,18 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-export DEB_BUILD_HARDENING=1
-DPKG_EXPORT_BUILDFLAGS = 1
-include /usr/share/dpkg/buildflags.mk
-
-PYTHONS	:= $(shell pyversions -vr)
+
+PYTHONS  := $(shell pyversions -vr)
+PYTHONS3 := $(shell py3versions -vr)
 #ruby_ver = 1.8
 arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_BUILD_GNU_TYPE)))
 #ruby_libdir  = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)
 #ruby_archdir = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)/$(arch_name)
+
+CPPFLAGS:=$(shell dpkg-buildflags --get CPPFLAGS)
+CFLAGS:=$(shell dpkg-buildflags --get CFLAGS)
+CXXFLAGS:=$(shell dpkg-buildflags --get CXXFLAGS)
+LDFLAGS:=$(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_GNU_TYPE       ?= $(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)
 DEB_BUILD_GNU_TYPE      ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
@@ -25,11 +28,6 @@
 configure: configure-stamp
 configure-stamp:
 	dh_testdir
-	#ln -s comedi-calibrate-1 comedi-calibrate
-	cp /usr/share/misc/config.sub .
-	cp /usr/share/misc/config.guess .
-	cp /usr/share/misc/config.sub comedi-calibrate/
-	cp /usr/share/misc/config.guess comedi-calibrate/
 	dh_autoreconf
 	for pyvers in ${PYTHONS}; \
 	do\
@@ -39,7 +37,23 @@
 		PYTHON="/usr/bin/python$$pyvers" ./configure \
 			--host=$(DEB_HOST_GNU_TYPE) \
 			--build=$(DEB_BUILD_GNU_TYPE) \
-			--prefix=/usr);\
+			--prefix=/usr \
+			CFLAGS="$(CFLAGS)" \
+			CPPFLAGS="$(CPPFLAGS)" \
+			LDFLAGS="$(LDFLAGS)");\
+	done
+	for pyvers in ${PYTHONS3}; \
+	do\
+		mkdir -p pybuild/$$pyvers; \
+		cp -Rl `ls . |grep -v pybuild|grep -v debian` pybuild/$$pyvers; \
+		(cd pybuild/$$pyvers; \
+		PYTHON="/usr/bin/python$$pyvers" ./configure \
+			--host=$(DEB_HOST_GNU_TYPE) \
+			--build=$(DEB_BUILD_GNU_TYPE) \
+			--prefix=/usr \
+			CFLAGS="$(CFLAGS)" \
+			CPPFLAGS="$(CPPFLAGS)" \
+			LDFLAGS="$(LDFLAGS)");\
 	done
 	./configure \
 		--host=$(DEB_HOST_GNU_TYPE) \
@@ -49,13 +63,18 @@
 		--datadir=\$${prefix}/share/doc/ \
 		--sysconfdir=/etc \
 		--disable-firmware \
-		--localstatedir=/var/lib/libcomedi0 \
+		--localstatedir=/var \
 		--disable-dependency-tracking \
 		--disable-python-binding \
 		--disable-ruby-binding \
 		--with-pdf-backend=no\
-		--with-gnu-ld
-	cd comedi-calibrate && CPPFLAGS="-I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" LDFLAGS="-L $(CURDIR)/lib/.libs" ./configure --disable-comedilib-checking
+		--with-gnu-ld \
+		CFLAGS="$(CFLAGS) -fPIC" \
+		CPPFLAGS="$(CPPFLAGS)" \
+		LDFLAGS="$(LDFLAGS)"
+	cd comedi-calibrate && CPPFLAGS="$(CPPFLAGS) -I $(CURDIR)/c++/include/ -I $(CURDIR)/include/" \
+		LDFLAGS="$(LDFLAGS) -L $(CURDIR)/lib/.libs" \
+		./configure --disable-comedilib-checking
 	touch $@
 
 build: build-arch build-indep
@@ -70,7 +89,17 @@
 		(cd pybuild/$$pyvers;\
 		ln -s ../../lib .);\
 		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE));\
+		$(MAKE);\
+		sed -i '1s/^/#!\/usr\/bin\/python\n/' comedi.py);\
+	done
+	for pyvers in ${PYTHONS3};\
+	do\
+		rm -rf pybuild/$$pyvers/lib;\
+		(cd pybuild/$$pyvers;\
+		ln -s ../../lib .);\
+		(cd pybuild/$$pyvers/swig/python;\
+		$(MAKE);\
+		sed -i '1s/^/#!\/usr\/bin\/python3\n/' comedi.py);\
 	done
 	touch $@
 
@@ -81,8 +110,6 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f config.sub
-	rm -f config.guess
 	rm -f config.log
 	rm -f *-stamp
 	rm -rf pybuild
@@ -102,14 +129,12 @@
 	rm -f doc/extensions_funcref.xml
 	rm -f doc/funcref.xml
 	[ ! -f Makefile ] || $(MAKE) distclean
-	rm -f comedi-calibrate/config.sub
-	rm -f comedi-calibrate/config.guess
 	rm -f comedi-calibrate/config.log
 	rm -f doc/pdf/comedilib.pdf
 	[ ! -f comedi-calibrate/Makefile ]] || cd comedi-calibrate && [ ! -f Makefile ] || $(MAKE) distclean
 	find . -name Makefile -exec rm -f {} \;
+	dh_autoreconf_clean
 	#rm -f comedi-calibrate
-	dh_autoreconf_clean
 	dh_clean
 
 install: build
@@ -128,7 +153,31 @@
 		(cd pybuild/$$pyvers/swig/python;\
 		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
 	done
-
+	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/comedi
+	for pyvers in ${PYTHONS3};\
+	do\
+		(cd pybuild/$$pyvers/swig/python;\
+		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
+		ABITAG=`python$$pyvers -c "import sysconfig; print(sysconfig.get_config_var('SOABI'))"`; \
+		(cd $(CURDIR)/debian/tmp/usr/lib/; \
+		 mv python$$pyvers/site-packages/comedi.py python3/dist-packages/comedi;\
+		 if echo x$$ABITAG | grep -q "$(DEB_HOST_MULTIARCH)"; then \
+		   mv python$$pyvers/site-packages/_comedi.so \
+		      python3/dist-packages/comedi/_comedi.$$ABITAG.so;\
+		 else \
+		   mv python$$pyvers/site-packages/_comedi.so \
+		      python3/dist-packages/comedi/_comedi.$$ABITAG-$(DEB_HOST_MULTIARCH).so;\
+		 fi; \
+		rm -rf python$$pyvers);\
+	done
+#		for f in `find debian/tmp/ -name '*.so' ! -name '*.cpython*.so'`; \
+#		do mv $$f $${f%.so}.$$ABITAG.so;
+#	$(foreach v,$(PYTHONS3),dh_auto_install --builddirectory=pybuild/$v \
+#					   --destdir=debian/tmp/ $(nl) \
+#					   ABITAG=`python$(v) -c "import sysconfig; \
+#					   print(sysconfig.get_config_var('SOABI'))"`; \
+#					   for f in `find debian/tmp/ -name '*.so' ! -name '*.cpython*.so'`; \
+#					   do mv $$f $${f%.so}.$$ABITAG.so; done;)
 	mkdir -p debian/tmp/lib/udev/rules.d
 	cp debian/90-comedi.rules debian/tmp/lib/udev/rules.d/
 	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi.py
@@ -138,6 +187,7 @@
 	cp debian/Makefile.debian_demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile
 	cd debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo && make clean
 	rm -rf debian/tmp/usr/local
+	find debian/ -name _comedi.*a -exec rm -f {} \;
 
 binary-indep: build install
 
@@ -158,7 +208,12 @@
 	dh_link
 	dh_strip
 	dh_compress --exclude=.c
-	dh_python2
+	dh_python2 -X python3
+	dh_python3
+	for pyvers in ${PYTHONS3};\
+	do\
+		dh_python3 debian/python-comedilib/usr/lib/python$$pyvers;\
+	done
 	dh_fixperms
 	dh_makeshlibs
 	dh_installdeb
@@ -168,11 +223,12 @@
 	dh_builddeb
 
 get-orig-source:
-	VERCAL=1;\
+	VERCAL=2;\
 	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
 	set -e;\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
-	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
+	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
+	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
 
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary install
