## comedilib 0.11.0

=== debian/changelog ===
comedilib (0.11.0-1.1build2) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:19:18 +0100

comedilib (0.11.0-1.1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:10:29 +0000

comedilib (0.11.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop python2 support; Closes: #936321

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 17:56:26 -0400

comedilib (0.11.0-1) unstable; urgency=medium

  * New upstream release
  * Bump standards version to 4.3.0
  * Change watch file url to https
  * Remove ancient conflict with libcomedi-0.7.22
  * Change get-orig-source target to use DEB_VERSION_UPSTREAM
  * Update symbols file
  * Remove python dbgsym files

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Mon, 31 Dec 2018 00:32:36 +0100

comedilib (0.10.2-4) unstable; urgency=medium

  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    (Closes: #807191)

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sat, 16 Jan 2016 21:28:49 +0100

comedilib (0.10.2-3) unstable; urgency=medium

  * Fix extension names for python3.5 (Closes: #793576)
  * Bump standards version to 3.9.6
  * Remove pycompat

 -- Gudjon I. Gudjonsson <gudjon@gudjon.org>  Sun, 02 Aug 2015 21:24:07 +0100
