=== debian/rules ===
--- 
+++ 
@@ -2,11 +2,11 @@
 
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
-
-PYTHONS  := $(shell pyversions -vr)
+include /usr/share/dpkg/pkg-info.mk
+
 PYTHONS3 := $(shell py3versions -vr)
 #ruby_ver = 1.8
-arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(DEB_BUILD_GNU_TYPE)))
+arch_name = $(subst linux-gnu,linux-,$(patsubst %linux-gnu,%linux,$(HOST)))
 #ruby_libdir  = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)
 #ruby_archdir = $(CURDIR)/debian/tmp/usr/lib/ruby/$(ruby_ver)/$(arch_name)
 
@@ -29,19 +29,6 @@
 configure-stamp:
 	dh_testdir
 	dh_autoreconf
-	for pyvers in ${PYTHONS}; \
-	do\
-		mkdir -p pybuild/$$pyvers; \
-		cp -Rl `ls . |grep -v pybuild|grep -v debian` pybuild/$$pyvers; \
-		(cd pybuild/$$pyvers; \
-		PYTHON="/usr/bin/python$$pyvers" ./configure \
-			--host=$(DEB_HOST_GNU_TYPE) \
-			--build=$(DEB_BUILD_GNU_TYPE) \
-			--prefix=/usr \
-			CFLAGS="$(CFLAGS)" \
-			CPPFLAGS="$(CPPFLAGS)" \
-			LDFLAGS="$(LDFLAGS)");\
-	done
 	for pyvers in ${PYTHONS3}; \
 	do\
 		mkdir -p pybuild/$$pyvers; \
@@ -83,15 +70,6 @@
 	dh_testdir
 	$(MAKE)
 	cd comedi-calibrate && $(MAKE)
-	for pyvers in ${PYTHONS};\
-	do\
-		rm -rf pybuild/$$pyvers/lib;\
-		(cd pybuild/$$pyvers;\
-		ln -s ../../lib .);\
-		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE);\
-		sed -i '1s/^/#!\/usr\/bin\/python\n/' comedi.py);\
-	done
 	for pyvers in ${PYTHONS3};\
 	do\
 		rm -rf pybuild/$$pyvers/lib;\
@@ -148,11 +126,6 @@
 		localstatedir=$(CURDIR)/debian/tmp/var
 	cd comedi-calibrate && $(MAKE) install prefix=$(CURDIR)/debian/tmp/usr
 
-	for pyvers in ${PYTHONS};\
-	do\
-		(cd pybuild/$$pyvers/swig/python;\
-		$(MAKE) DESTDIR=$(CURDIR)/debian/tmp install);\
-	done
 	mkdir -p $(CURDIR)/debian/tmp/usr/lib/python3/dist-packages/comedi
 	for pyvers in ${PYTHONS3};\
 	do\
@@ -180,7 +153,7 @@
 #					   do mv $$f $${f%.so}.$$ABITAG.so; done;)
 	mkdir -p debian/tmp/lib/udev/rules.d
 	cp debian/90-comedi.rules debian/tmp/lib/udev/rules.d/
-	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi.py
+	chmod 644 debian/tmp/usr/lib/python*/dist-packages/comedi/comedi.py
 	mkdir -p debian/tmp/usr/share/doc/libcomedi-dev/demo
 	cp -a demo debian/libcomedi-dev/usr/share/doc/libcomedi-dev
 	rm -f debian/libcomedi-dev/usr/share/doc/libcomedi-dev/demo/Makefile*
@@ -206,9 +179,8 @@
 	dh_installinfo
 	dh_installchangelogs ChangeLog
 	dh_link
-	dh_strip
+	dh_strip --no-automatic-dbgsym
 	dh_compress --exclude=.c
-	dh_python2 -X python3
 	dh_python3
 	for pyvers in ${PYTHONS3};\
 	do\
@@ -223,9 +195,9 @@
 	dh_builddeb
 
 get-orig-source:
+	set -e;\
 	VERCAL=2;\
-	VER=$(shell dpkg-parsechangelog | sed -rne 's,^Version: ([^-+~]+).*,\1,p');\
-	set -e;\
+	VER=$(DEB_VERSION_UPSTREAM);\
 	wget -q http://comedi.org/download/comedilib-$$VER.tar.gz -O comedilib_$$VER.orig.tar.gz;\
 	wget -q http://comedi.org/download/comedi_calibrate-$$VERCAL.tar.gz\
 	  -O comedilib_$$VER.orig-comedi-calibrate.tar.gz
