=== debian/watch ===
version=3
https://comedi.org/download/comedilib-(.*)\.tar\.gz
